Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.spi
Interface PersistenceProvider

    public interface PersistenceProvider

Interface implemented by the persistence provider.

It is invoked by the container in Java EE environments and by the `Persistence` class in Java SE environments to create an `EntityManagerFactory`.

Since:
  Java Persistence 1.0

Method Summary
`EntityManagerFactory` | `createContainerEntityManagerFactory(PersistenceUnitInfo info, java.util.Map map)` Called by the container when an `EntityManagerFactory` is to be created.
`EntityManagerFactory` | `createEntityManagerFactory(java.lang.String emName, java.util.Map map)` Called by `Persistence` class when an `EntityManagerFactory` is to be created.
`ProviderUtil` | `getProviderUtil()` Return the utility interface implemented by the persistence provider.

Method Detail

### createEntityManagerFactory

    EntityManagerFactory createEntityManagerFactory(java.lang.String emName,
                                                    java.util.Map map)

  Called by `Persistence` class when an `EntityManagerFactory` is to be created.

  Parameters:
    `emName` - the name of the persistence unit
    `map` - a Map of properties for use by the persistence provider. These properties may be used to override the values of the corresponding elements in the `persistence.xml` file or specify values for properties not specified in the `persistence.xml` (and may be null if no properties are specified).
  Returns:
    EntityManagerFactory for the persistence unit, or null if the provider is not the right provider

### createContainerEntityManagerFactory

    EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo info,
                                                             java.util.Map map)

  Called by the container when an `EntityManagerFactory` is to be created.

  Parameters:
    `info` - metadata for use by the persistence provider
    `map` - a Map of integration-level properties for use by the persistence provider (may be null if no properties are specified). If a Bean Validation provider is present in the classpath, the container must pass the `ValidatorFactory` instance in the map with the key `"javax.persistence.validation.factory"`.
  Returns:
    EntityManagerFactory for the persistence unit specified by the metadata

### getProviderUtil

    ProviderUtil getProviderUtil()

  Return the utility interface implemented by the persistence provider.

  Returns:
    ProviderUtil interface
  Since:
    Java Persistence 2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD